<?php

require_once($_SERVER['DOCUMENT_ROOT']."/lib/phpLamma.php");

$i=1;

$meteo=new phpLamma();
$citta=$meteo->selectCity("barga");
$prevs=$meteo->getPrevisions($citta);

echo "<div style='text-align:center;border:1px solid black;'>";
echo "<b style='color:red;text-align:center'>Almanacco</b>";
echo "<p> paese: ".$meteo->name($citta)."</p>";
echo "<p> ultimo aggiornamento: ".$meteo->lastUpdate($citta)."</p>";
echo "<p> alba: ".$meteo->sunrise($citta)."</p>";
echo "<p> tramonto: ".$meteo->sunset($citta)."</p>";
echo "<p> luna sorge: ".$meteo->moon_rises($citta)."</p>";
echo "<p> luna tramonta: ".$meteo->moon_sets($citta)."</p>";
echo "</div>";

while($i<=5)
{
	echo "<div style='text-align:center;border:1px solid black;padding-top:2%';>";
	echo "<strong style='color:red'>".$meteo->getDayByIdday($i,$prevs)."</strong>";
	echo "<div style='text-align:center;border:1px solid black'>";
	echo "<strong style='color red'>Generali</strong>";
	echo "<p>condizione meteo: ".$meteo->getWeather($i,$meteo::DAY,$prevs)."</p>";
	echo "<p>vento: ".$meteo->getWeatherStat_wind($i,$meteo::DAY,$prevs)."</p>";
	echo "<p>temperature: ".$meteo->getWeatherStat_temps($i,$meteo::DAY,$prevs)."</p>";
	echo "<p>min: ".$meteo->getTemps($i,$meteo::DAY,$meteo::TEMP_MIN,$prevs)."</p>";
	echo "<p>max: ".$meteo->getTemps($i,$meteo::DAY,$meteo::TEMP_MAX,$prevs)."</p>";
	echo "<p>stato allerta: ".$meteo->getAlert($i,$prevs)."</p>";
	echo "<p>rischio idrico: ".$meteo->getRisk($i,$meteo::HYDRO_RISK,$prevs)."</p>";
	echo "<p>rischio idrogeologico: ".$meteo->getRisk($i,$meteo::GEO_HYDRO_RISK,$prevs)."</p>";
	echo "<p>rischio temporali: ".$meteo->getRisk($i,$meteo::THUNDERSTORM_RISK,$prevs)."</p>";
	echo "<p>rischio vento: ".$meteo->getRisk($i,$meteo::WIND_RISK,$prevs)."</p>";
	echo "<p>rischio neve: ".$meteo->getRisk($i,$meteo::SNOW_RISK,$prevs)."</p>";
	echo "<p>rischio ghiaccio: ".$meteo->getRisk($i,$meteo::ICE_RISK,$prevs)."</p>";
	echo "</div>";

	echo "<div style='text-align:center;border:1px solid black;padding-top:2%;'>";
	echo "<strong style='color:red'>".$meteo::MORNING."</strong>";
	echo "<p>condizione meteo: ".$meteo->getWeather($i,$meteo::MORNING,$prevs)."</p>";
	echo "<p>vento: ".$meteo->getWeatherStat_wind($i,$meteo::MORNING,$prevs)."</p>";
	echo "<p>temperature: ".$meteo->getWeatherStat_temps($i,$meteo::MORNING,$prevs)."</p>";
	echo "<p>temp reale: ".$meteo->getTemps($i,$meteo::MORNING,$meteo::TEMP_REAL,$prevs)."°</p>";
	echo "<p>temp percepita: ".$meteo->getTemps($i,$meteo::MORNING,$meteo::TEMP_PERC,$prevs)."°</p>";
	echo "<p>umidita: ".$meteo->getHumidity($i,$meteo::MORNING,$prevs)."%</p>";
	echo "<p>quota neve: ".$meteo->getSnowLevel($i,$meteo::MORNING,$prevs)."</p>";
	echo "<p>umidita: ".$meteo->getHumidity($i,$meteo::MORNING,$prevs)."%</p>";
	echo "<p>prob piogge: ".$meteo->getRainProbability($i,$meteo::MORNING,$prevs)."%</p>";
	echo "</div>";

	echo "<div style='text-align:center;border:1px solid black;padding-top:2%;'>";
	echo "<strong style='color:red'>".$meteo::AFTERNOON."</strong>";
	echo "<p>condizione meteo: ".$meteo->getWeather($i,$meteo::AFTERNOON,$prevs)."</p>";
	echo "<p>vento: ".$meteo->getWeatherStat_wind($i,$meteo::AFTERNOON,$prevs)."</p>";
	echo "<p>temperature: ".$meteo->getWeatherStat_temps($i,$meteo::AFTERNOON,$prevs)."</p>";
	echo "<p>temp reale: ".$meteo->getTemps($i,$meteo::AFTERNOON,$meteo::TEMP_REAL,$prevs)."°</p>";
	echo "<p>temp percepita: ".$meteo->getTemps($i,$meteo::AFTERNOON,$meteo::TEMP_PERC,$prevs)."°</p>";
	echo "<p>umidita: ".$meteo->getHumidity($i,$meteo::AFTERNOON,$prevs)."%</p>";
	echo "<p>quota neve: ".$meteo->getSnowLevel($i,$meteo::AFTERNOON,$prevs)."</p>";
	echo "<p>umidita: ".$meteo->getHumidity($i,$meteo::AFTERNOON,$prevs)."%</p>";
	echo "<p>prob piogge: ".$meteo->getRainProbability($i,$meteo::AFTERNOON,$prevs)."%</p>";
	echo "</div>";

	echo "<div style='text-align:center;border:1px solid black;padding-top:2%;'>";
	echo "<strong style='color:red'>".$meteo::EVENING."</strong>";
	echo "<p>condizione meteo: ".$meteo->getWeather($i,$meteo::EVENING,$prevs)."</p>";
	echo "<p>vento: ".$meteo->getWeatherStat_wind($i,$meteo::EVENING,$prevs)."</p>";
	echo "<p>temperature: ".$meteo->getWeatherStat_temps($i,$meteo::EVENING,$prevs)."</p>";
	echo "<p>temp reale: ".$meteo->getTemps($i,$meteo::EVENING,$meteo::TEMP_REAL,$prevs)."°</p>";
	echo "<p>temp percepita: ".$meteo->getTemps($i,$meteo::EVENING,$meteo::TEMP_PERC,$prevs)."°</p>";
	echo "<p>umidita: ".$meteo->getHumidity($i,$meteo::EVENING,$prevs)."%</p>";
	echo "<p>quota neve: ".$meteo->getSnowLevel($i,$meteo::EVENING,$prevs)."</p>";
	echo "<p>umidita: ".$meteo->getHumidity($i,$meteo::EVENING,$prevs)."%</p>";
	echo "<p>prob piogge: ".$meteo->getRainProbability($i,$meteo::EVENING,$prevs)."%</p>";
	echo "</div>";

	echo "<div style='text-align:center;border:1px solid black;padding-top:2%;'>";
	echo "<strong style='color:red'>".$meteo::NIGHT."</strong>";
	echo "<p>condizione meteo: ".$meteo->getWeather($i+1,$meteo::NIGHT,$prevs)."</p>";
	echo "<p>vento: ".$meteo->getWeatherStat_wind($i+1,$meteo::NIGHT,$prevs)."</p>";
	echo "<p>temperature: ".$meteo->getWeatherStat_temps($i+1,$meteo::NIGHT,$prevs)."</p>";
	echo "<p>temp reale: ".$meteo->getTemps($i+1,$meteo::NIGHT,$meteo::TEMP_REAL,$prevs)."°</p>";
	echo "<p>temp percepita: ".$meteo->getTemps($i+1,$meteo::NIGHT,$meteo::TEMP_PERC,$prevs)."°</p>";
	echo "<p>umidita: ".$meteo->getHumidity($i+1,$meteo::NIGHT,$prevs)."%</p>";
	echo "<p>quota neve: ".$meteo->getSnowLevel($i+1,$meteo::NIGHT,$prevs)."</p>";
	echo "<p>prob piogge: ".$meteo->getRainProbability($i+1,$meteo::NIGHT,$prevs)."%</p>";
	echo "</div>";




	echo "</div>";




	$i++;

}


?>
